package cn.net.caoyao.cpzshandset.service.presenter;



import io.reactivex.Observable;
import okhttp3.RequestBody;
import okhttp3.ResponseBody;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.Header;
import retrofit2.http.Headers;
import retrofit2.http.POST;
import retrofit2.http.Query;

public interface LoginApis {
    //登录接口
    @Headers("Content-Type: application/json")
    @POST("login")
    Observable<ResponseBody> getWeChatLogin(@Body RequestBody body);
    //产品列表
    @Headers("Content-Type: application/json")
    @GET("product/getProductToTerminal")
    Observable<ResponseBody> getProjectList(@Header ("Authorization")String token);
    //批次列表
    @GET("productBatch/getBatchByProductId")
    Observable<ResponseBody> getPiCiList(@Header("Authorization")String token, @Query("poductId") long poductId );
    //单标上传
    @Headers("Content-Type: application/json")
    @POST("labelInfo/singleActivate")
    Observable<ResponseBody> getSingleSubmit(@Header("Authorization")String token,@Body RequestBody body);
    //批量上传
    @Headers("Content-Type: application/json")
    @POST("labelInfo/batchActivate")
    Observable<ResponseBody> getBatchSubmit(@Header("Authorization")String token,@Body RequestBody body);
}
